Bug 109107 - Sidebar's fontheight field is not updated by moving cursor in an Impress table
Summary: Sidebar's fontheight field is not updated by moving cursor in an Impress table
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-13 17:27 UTC by Tamás Zolnai
Modified: 2017-07-17 12:57 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-07-13 17:27:44 UTC
Description:
When I move the cursor in an Impress table with the arrow keys the sidebar is not updated while the cursor is moved to a text with different font height.

Steps to Reproduce:
1. Open Impress
2. Create a table with at least to cells
3. Add some text to two cells of the table and set different fontheight to them
4. Move cursur between this two cells by arrow keys
5. Sidebar's fontheight field does not change it's value

Actual Results:  
Sidebar is not updated when the cursor is moved to a text part which has different font height.

Expected Results:
Sidebar fontheight field should recognize the current font at the cursor.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.115 Safari/537.36
Comment 1 Commit Notification 2017-07-14 09:48:44 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6feb40b950557dcfdc5249f22d72edad397d4c67

tdf#109107: Sidebar's fontheight field is not updated...

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2017-07-17 10:31:01 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1569b4b1813d44b38e250111411f3c75eeb0c483&h=libreoffice-5-4

tdf#109107: Sidebar's fontheight field is not updated...

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.